<?php
//DB Data
include '../../ASEngine/AS.php';
if(!$login->isLoggedIn())
    header("Location: ../../login.php");
$user = new ASUser(ASSession::get("user_id"));
$userInfo = $user->getInfo();

//basic include files
require_once("../../../db.php");

if(isset($_FILES['image'])) {
		$errors= array();
		$file_name = $_FILES['image']['name'];
		$file_size =$_FILES['image']['size'];
		$file_tmp =$_FILES['image']['tmp_name'];
		$file_type=$_FILES['image']['type'];   
		$file_ext=strtolower(end(explode('.',$_FILES['image']['name'])));
		
		$expensions= array("jpeg","jpg","png"); 		
		if(in_array($file_ext,$expensions)=== false){
			$errors[]="extension not allowed, please choose a JPEG or PNG file.";
		}
		if($file_size > 2097152) {
		$errors[]='File size must be excately 2 MB';
		}				
		if(empty($errors)==true) {
			move_uploaded_file($file_tmp,"../../../inc/images/".$file_name);
			//echo "Success";
			mysqli_query($conn, "UPDATE general_settings SET settings_logo = '$file_name' WHERE settings_id = 1");
			
			mysqli_close($conn);
			header("Location: ../../customize.php?customizemsn=updated");
		} else {
			mysqli_close($conn);
			header("Location: ../../customize.php?customizemsn=error&errormsn=".implode($errors));
		}
	}
?>